# Authorization Details Notification

### **Webhook** URL <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

&#x20;     REQUEST BODY SCHEMA: application/json required

### **Webhook Body(Notify)**

<table><thead><tr><th width="259">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>partner_id</td><td>string</td><td>Assigned by Pagsmile</td></tr><tr><td>timestamp<mark style="color:red;">*</mark></td><td>string</td><td>yyyy-MM-dd HH:mm:ss - Max. 19 chars -</td></tr><tr><td>version<mark style="color:red;">*</mark></td><td>string</td><td>Fixed value 1.0</td></tr><tr><td>random_key</td><td>string</td><td>Reserved fields</td></tr><tr><td>sign_type</td><td>string</td><td><p>Reserved fields，</p><p>If the field is empty, no encryption is required</p></td></tr><tr><td>request_id<mark style="color:red;">*</mark></td><td>string</td><td>Request serial number, globally unique.</td></tr><tr><td>notify_type<mark style="color:red;">*</mark></td><td>integer</td><td>Refer to <a href="/pages/ystsrgyoK8oet6AAmFBV">webhookType</a></td></tr><tr><td>biz_data<mark style="color:red;">*</mark></td><td>obj</td><td>Business params</td></tr></tbody></table>

**biz\_data**

| Name                       | Type    | Description                                                                                       |
| -------------------------- | ------- | ------------------------------------------------------------------------------------------------- |
| auth\_id                   | string  | Auth ID                                                                                           |
| data\_type                 | string  | <p>Data Type</p><p>(cardAuthorization、</p><p>cardSettlement、cardAuthorizationExpired)</p>         |
| card\_token                | string  | Card token                                                                                        |
| card\_pan                  | string  | Card Pan                                                                                          |
| transaction\_id            | string  | Transaction ID                                                                                    |
| transaction\_type          | integer | <p>Transaction type</p><p>refer to: <a href="/pages/gbKVBqe4REk5SatWSXG9">TransactionType</a></p> |
| process\_status            | integer | <p>Process Status</p><p>refer to: <a href="/pages/n0wEekw0kj1rppVos9Vo">ProcessStatus</a></p>     |
| original\_auth\_id         | string  | Original Auth ID                                                                                  |
| auth\_status               | integer | <p>Auth status</p><p>refer to:<a href="/pages/EHnYrJPgGyvYNbNvi9XY">AuthStatus</a></p>            |
| auth\_code                 | string  | Auth Code                                                                                         |
| response\_code             | string  | <p>Response Code:</p><p><a href="/pages/YE68HunRKdaYTEv0Kv6Q">responseCode</a></p>                |
| settle\_status             | integer | <p>Settle Status</p><p>refer to:<a href="/pages/hnlqoEIAjk8nogJYj1hZ">SettleStatus</a></p>        |
| mcc\_code                  | string  | Mcc Code                                                                                          |
| merchant\_id               | string  | Merchant ID                                                                                       |
| merchant\_name             | string  | Merchant Name                                                                                     |
| note                       | string  | Note                                                                                              |
| transaction\_amount        | string  | Transaction Amount                                                                                |
| transaction\_currency      | string  | Transaction Currency                                                                              |
| transaction\_country\_code | string  | Transaction Country code                                                                          |
| bill\_amount               | string  | Billing Amount                                                                                    |
| bill\_currency             | string  | Billing  Currency                                                                                 |
| fee                        | string  | Fee                                                                                               |
| settled\_amount            | string  | Settled Amount                                                                                    |
| base\_exchange\_rate       | string  | Exchange Rate                                                                                     |
| create\_time               | string  | Create time                                                                                       |

### Response Example <a href="#example" id="example"></a>

http code :

{% tabs %}
{% tab title="200～299:success" %}

```json
{
    "biz_data": {
        "auth_id": "100000000058",
        "data_type": "cardAuthorization",
        "card_pan": "658704******1102",
        "card_token": "111093279108",
        "transaction_id": "100000091288",
        "transaction_type": 151,
        "process_status": 2,
        "auth_status": 1,
        "auth_code": "000000",
        "response_code": "00",
        "acquirer_id": "0000038172718",
        "mcc_code": "8062",
        "merchant_id": "100000000000 ",
        "merchant_name": "Test Merchant",
        "transaction_amount": "-7.12",
        "transaction_currency": "CNY",
        "transaction_country_code": "CN",
        "bill_amount": "-1.00",
        "bill_currency": "USD",
        "fee": "0.00",
        "settled_amount": "0.00",
        "base_exchange_rate": "0.139897",
        "create_time": "2025-04-10 08:02:06"
    },
    "notify_type": 4,
    "partner_id": "100000",
    "timestamp": "2025-04-10 08:02:06",
    "version": "1.0",
    "request_id": "IC1910000000000000",
    "sign_type": "",
    "app_id": ""
}
```

{% endtab %}

{% tab title="other fail" %}

<pre><code><strong>Retry 7 times.
</strong>
Delay time：10s 1m 5m 30m 2h 6h 24h
</code></pre>

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/issuing-card-api/business/webhook/authorization-details-notification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
